Skip to main content

Live & Schedule (7)

Live Matches

GET /api/live
Curated live matches with players, scores, game info.

Live (All)

GET /api/live/all

Today’s Matches

GET /api/today

Schedule by Date

GET /api/schedule/:date
Date format: YYYY-MM-DD

Live Tournaments

GET /api/live-tournaments

Scheduled Tournaments

GET /api/scheduled-tournaments/:date

Newly Added Events

GET /api/newly-added-events

Response Example — /api/live

{
  "events": [
    {
      "id": 12345678,
      "homeTeam": { "id": 4501, "name": "Fan Zhendong" },
      "awayTeam": { "id": 4502, "name": "Ma Long" },
      "homeScore": {
        "current": 2,
        "display": 2,
        "period1": 11,
        "period2": 9,
        "period3": 11,
        "period4": 0,
        "point": "5"
      },
      "awayScore": {
        "current": 1,
        "display": 1,
        "period1": 8,
        "period2": 11,
        "period3": 7,
        "period4": 0,
        "point": "3"
      },
      "status": { "code": 14, "description": "4th Game", "type": "inprogress" },
      "tournament": { "name": "WTT Champions", "id": 890 },
      "startTimestamp": 1737331200
    }
  ]
}

Score Fields

FieldDescription
period1period7Points scored in each game (games to 11, win by 2)
pointCurrent point score within the active game
currentGames won (best of 5 or 7)

Status Codes

CodeDescription
0Not started
11–171st–7th Game in progress
31Game Break
100Ended
Table tennis matches are best of 5 (first to 3 games) or best of 7 (first to 4 games). Each game is played to 11 points, win by 2.

Search & Discovery (7)

GET /api/search?q=china

Countries

GET /api/countries

Countries (All)

GET /api/countries/all

Category Tournaments

GET /api/categories/:categoryId/tournaments
GET /api/trending-players

News

GET /api/news?lang=en

Country Flag

GET /api/country/:code/flag
Last modified on April 12, 2026